3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php `echo 'dupa' > /etc/dupa`;
Output for 5.5.24 - 7.1.0
Output for 4.3.2 - 5.4.45
Warning: shell_exec(): Unable to execute 'echo 'dupa' > /etc/dupa' in /in/5C6Vf on line 2
Output for 4.3.0 - 4.3.1
Warning: shell_exec() [http://www.php.net/function.shell-exec]: Unable to execute 'echo 'dupa' > /etc/dupa' in /in/5C6Vf on line 2